#ifndef _EmGmm_H
#define _EmGmm_H

#include <vector>

#if defined(_MSC_VER)
#pragma warning ( disable : 4786 )
#endif


#ifdef __BORLANDC__
#define ITK_LEAN_AND_MEAN
#endif


#include "itkNumericTraits.h"


template <int maximumnumberiteration,class TInputFilter,class TOutputFilter,class ParametersType,class PrototionType>
void EmGmm( 
  typename TInputFilter::Pointer& inputfilter,
  typename TOutputFilter::Pointer& labelreference,
  typename TOutputFilter::Pointer& outputfilter,
  std::vector<ParametersType>& initialparameters,
  PrototionType& initialProportions,
  std::string savedir);


#ifndef ITK_MANUAL_INSTANTIATION
  #include "EmGmm.txx"
#endif

#endif
