#include "EmGmm.h"
#include "itkInvertIntensityImageFilter.h"
#include "itkImage.h"
#include "itkArray.h"

int main()
{
  typedef itk::Image< char, 2 >   ImageType;
  typedef itk::InvertIntensityImageFilter< ImageType, ImageType > FilterType;
  FilterType::Pointer filter1 = FilterType::New();
  FilterType::Pointer filter2 = FilterType::New();
  FilterType::Pointer filter3 = FilterType::New();

  typedef itk::Array< double > ParametersType;
  typedef itk::Array< double > ProportionsType;

  ProportionsType proportions;

  typedef std::vector< ParametersType > ParametersVectorType;

  ParametersVectorType parameters;

  std::string name;

  EmGmm<77,FilterType,FilterType,ParametersType,ProportionsType>( filter1, filter2, filter3, parameters, proportions, name );

  return 0;
}
